Delete an existing address
Delete an existing address. Deleting an address does not invalidate or remove the address from transactions or shipments that are associated with it.
Authorization
oauth bolt.account.manageapi-key AuthorizationBearer <token>
In: header
Scope: bolt.account.manage
X-API-Key<token>
In: header
Path Parameters
id*string
The ID of the address to delete
Header Parameters
X-Publishable-Key*string
The publicly shareable identifier used to identify your Bolt merchant division.
X-Merchant-Client-Id?string
A unique identifier for a shopper's device, generated by Bolt. The value is retrieved with Bolt.state.merchantClientId in your frontend context, per-shopper. This header is required for proper attribution of this operation to your analytics reports. Omitting this header may result in incorrect statistics.
Response Body
application/json
curl -X DELETE "https://example.com/account/addresses/D4g3h5tBuVYK9" \ -H "X-Publishable-Key: string"Empty